<?php 
ini_set('max_execution_time', 300);
//CONEXIONES
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());

$querydepartamento ="SELECT   n.per_natural,n.nombre, n.ape_paterno, n.ape_materno, n.tel_celular, n.tel_trabajo,per.rut
                    FROM  $itodos.tbl_dptoxedificioxetapaxproy d
                    inner join $itodos.tbl_proyecto p ON p.id_proyecto = d.id_proyecto
					inner JOIN  $itodos.tbl_proceso_venta pv ON pv.id_departamento = d.id_departamento and  pv.estado = 5 
					INNER JOIN $itodos.tbl_persona per ON per.id_persona = pv.cliente 
					INNER JOIN $itodos.tbl_per_natural n ON n.per_natural  = per.id_persona
					WHERE 		
					p.id_proyecto =  3 
					or p.id_proyecto = 4  
				    OR p.id_proyecto =  9 
					or p.id_proyecto = 15	
					or p.id_proyecto = 20	
					or p.id_proyecto = 21
					OR p.id_proyecto =  22 
					or p.id_proyecto = 23 
					OR p.id_proyecto =  29
					or p.id_proyecto = 35	
					or p.id_proyecto = 36	
					or p.id_proyecto = 37	 
					or p.id_proyecto =38 
					or  p.id_proyecto =39 
					or p.id_proyecto = 42
					or p.id_proyecto = 43
				    or p.id_proyecto = 40
					or p.id_proyecto = 45	
					or p.id_proyecto = 46	
					or p.id_proyecto = 	47
					or p.id_proyecto = 	48
					or p.id_proyecto = 50
					or p.id_proyecto = 49
					or p.id_proyecto = 55
					or p.id_proyecto = 63
					or p.id_proyecto = 66
					or p.id_proyecto = 54";
					
		$resultado = mysql_query($querydepartamento,$conexion2)or die(mysql_error());
		 	if(mysql_num_rows($resultado)> 0){
		 		$num = 0;
		   	 while($fila = mysql_fetch_assoc($resultado)){
		   	 	  //PERSONA
		   	 		//$id_pernatural =$fila['per_natural'];
			   	 		$nombre=$fila['nombre'];
						$ape_paterno=$fila['ape_paterno'];
						$ape_materno = $fila['ape_materno'];
						$celular = $fila['tel_celular'];
						$tel_oficina =$fila['tel_trabajo'];
						$existepersona=existe_persona($nombre,$ape_paterno,$ape_materno,$conexion1);
						if($existepersona == "1"){
									echo "SE ACTUALIZA"."<br>";
						}else{

									$id_pernatural  = buscarpersona($fila['rut'],$conexion1);
									$queryINSERT = "INSERT INTO tblpernaturales(ID_PERNATURAL, NOMBRE, APE_PATERNO, APE_MATERNO, CELULAR, TEL_OFICINA) 
													VALUES ('$id_pernatural','$nombre','$ape_paterno','$ape_materno','$celular','$tel_oficina')";
									 
									if(mysql_query($queryINSERT,$conexion1)){
										echo "guadardo"."<br>";
									}else{
										echo mysql_error();
									}
						}
		   	 		}
		     }else{
		     	echo "NO TRAE FILAS";
		    }




 function existe_persona($nombre,$ape_paterno,$ape_materno,$conexion1){
 	$resultado = mysql_query("SELECT  ID_PERNATURAL ,  NOMBRE ,  APE_PATERNO ,  APE_MATERNO ,
 								  CELULAR ,  TEL_OFICINA  FROM  pvitls_postventa.tblpernaturales  
 								  WHERE NOMBRE = '$nombre' AND APE_PATERNO = '$ape_paterno'
 								  AND APE_MATERNO = '$ape_materno'",$conexion1); 

 	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }

}

function buscarpersona($rut,$conexion){
	$resultado = mysql_query("SELECT ID_PERSONA, RUT, DIRECCION FROM pvitls_postventa.tblpersonas WHERE RUT  ='$rut'",$conexion); 
	 	while( $resultado = mysql_fetch_array($resultado) ) { 
   			return $resultado['ID_PERSONA']; 
		} 
}


?>